# frozen_string_literal: true

module ActiveLogger #:nodoc:
  module Helpers # :nodoc:
    module Base #:nodoc:
      extend ActiveSupport::Concern

      class_methods do
        def progname=(progname)
          @progname = progname
        end

        def progname
          @progname
        end

        def name=(name)
          @name = name.nil? ? "<ActiveLogger##{object_id}>" : name
        end

        def name
          @name
        end

        def autogenerated_name?
          name.start_with?('<ActiveLogger')
        end

        private

        def reset!
          self.name = nil
        end
      end
    end
  end
end
